<html>
<head>
	<meta charset="UTF-8">
	<title>Lab1 - Grafika Komputerowa</title>

	<link rel="stylesheet" type="text/css" href="styles/css/normalize.css">
	<link rel="stylesheet" type="text/css" href="styles/css/styles.css">

	<script type="text/javascript" src="js/underscore-min.js"></script>
	<script type="text/javascript" src="js/numeric-1.2.6.min.js"></script>
	<script type="text/javascript" src="js/zepto.min.js"></script>
	<script type="text/javascript" src="js/utils.js"></script>
	<script type="text/javascript" src="js/textures.js"></script>
	<script type="text/javascript" src="js/linesalgorithms.js"></script>
	<script type="text/javascript" src="js/restrictions.js"></script>
	<script type="text/javascript" src="js/figures.js"></script>
	<script type="text/javascript" src="js/appstates.js"></script>
	<script type="text/javascript" src="js/canvaswrapper.js"></script>
	<script type="text/javascript" src="js/app.js"></script>
</head>
<body>
	<div class="container">
		<header>
			<h1 class="main-header">
				Grafika Komputerowa - Lab 1
			</h1>
		</header>

		<main class="app-content">
			<div class="app-col navigation-col">
				<h2>Narzędzia</h2>
				<ul class="tools-list">
					<li>
						<a class="tool" id="add-polygon-tool" data-state="addPolygon">
							Dodaj wielokąt
						</a>
					</li>
					<li>
						<a class="tool" id="move-polygon-tool" data-state="movePolygon">
							Przesuń wielokąt
						</a>
					</li>
					<li>
						<a class="tool" id="clip-polygon-tool" data-state="clipPolygon">
							Przytnij wielokąt
						</a>
					</li>
					<li>
						<a class="tool" id="remove-polygon-tool" data-state="removePolygon">
							Usuń wielokąt
						</a>
					</li>
					<hr>
					<li>
						<a class="tool" id="fill-polygon-tool" data-state="fillPolygon">
							Wypełnienie
						</a>
					</li>
					<li>
						<a class="tool" id="add-light-tool" data-state="addLight">
							Dodaj światło
						</a>
					</li>
					<li>
						<a class="tool" id="remove-light-tool" data-state="removeLight">
							Usuń światło
						</a>
					</li>
					<li>
						<a class="tool" id="add-bubble-tool" data-state="addBubble">
							Dodaj bąbelek
						</a>
					</li>
					<li>
						<a class="tool" id="remove-bubble-tool" data-state="removeBubble">
							Usuń bąbelek
						</a>
					</li>
					<hr>
					<li>
						<a class="tool" id="add-vertex-tool" data-state="addVertex">
							Dodaj wierzchołek
						</a>
					</li>
					<li>
						<a class="tool" id="move-vertex-tool" data-state="moveVertex">
							Przesuń wierzchołek
						</a>
					</li>
					<li>
						<a class="tool" id="remove-vertex-tool" data-state="removeVertex">
							Usuń wierzchołek
						</a>
					</li>
				</ul>
			</div>

			<div class="app-col canvas-col">
				<h2>Plansza</h2>
				<canvas id="app-canvas" width="500" height="500">
				</canvas>
			</div>

			<div class="app-col navigation-col">
				<h2>Narzędzia</h2>
				<ul class="tools-list">
					<li>
						<a class="tool" id="add-vertical-restriction-tool" data-state="addVerticalLineRestriction">
							Linia pionowa
						</a>
					</li>
					<li>
						<a class="tool" id="add-horizontal-restriction-tool" data-state="addHorizontalLineRestriction">
							Linia pozioma
						</a>
					</li>
					<li>
						<a class="tool" id="add-fixed-length-restriction-tool" data-state="addFixedLengthLineRestriction">
							Stała długość
						</a>
					</li>
					<li>
						<a class="tool" id="remove-restriction-tool" data-state="removeRestriction">
							Usuń ograniczenie
						</a>
					</li>
					<hr>
					<li>
						<a class="tool" id="set-bresenham-algorithm-tool" data-state="setBresenhamAlgorithm">
							Algorytm Bresenhama
						</a>
					</li>
					<li>
						<a class="tool" id="set-xiaolin-algorithm-tool" data-state="setXiaolinWuAlgorithm">
							Algorytm Xiaolin-Wu
						</a>
					</li>
					<li>
						<a class="tool" id="set-embedded-algorithm-tool" data-state="setEmbeddedAlgorithm">
							Algorytm Wbudowany
						</a>
					</li>
					<hr>
					<li>
						<a class="tool" id="wipe-tool">
							Wyczyść planszę
						</a>
					</li>
				</ul>
			</div>
		</main>

		<footer>
			<p>&copy; 2016 B. Sielicki</p>
		</footer>
	</div>
</body>
</html>